summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/bareos/Manifest3
-rw-r--r--dev-python/bareos/bareos-23.1.3.ebuild (renamed from dev-python/bareos/bareos-23.0.4.ebuild)2
-rw-r--r--dev-python/bareos/bareos-24.0.2.ebuild18
-rw-r--r--dev-python/btrfsutil/Manifest2
-rw-r--r--dev-python/btrfsutil/btrfsutil-6.14.ebuild62
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/miniupnpc/miniupnpc-2.3.2.ebuild2
-rw-r--r--dev-python/pymemcache/Manifest1
-rw-r--r--dev-python/pymemcache/files/pymemcache-3.5.1-no-coverage.patch10
-rw-r--r--dev-python/pymemcache/metadata.xml18
-rw-r--r--dev-python/pymemcache/pymemcache-4.0.0.ebuild49
-rw-r--r--dev-python/rpds-py/rpds-py-0.23.1.ebuild2
-rw-r--r--dev-python/spyder-kernels/Manifest1
-rw-r--r--dev-python/spyder-kernels/spyder-kernels-3.0.3.ebuild93
-rw-r--r--dev-python/spyder/Manifest1
-rw-r--r--dev-python/spyder/spyder-6.0.5.ebuild202
19 files changed, 393 insertions, 102 deletions
diff --git a/dev-python/bareos/Manifest b/dev-python/bareos/Manifest
index 47a6ced67516..b24f3955a27c 100644
--- a/dev-python/bareos/Manifest
+++ b/dev-python/bareos/Manifest
@@ -1,5 +1,6 @@
DIST bareos-22.1.5.tar.gz 14747894 BLAKE2B 560bc1ceb34fccfb370e8643d24917e24b2440158dd267532c2cb7e4a543d29b81b033e7a34c46eda4c6d71165e48da9332605c3bcd073fbafa38f3ba8be69a2 SHA512 8138f2142f705e2448f8bc2e00f39fe4f734ce8fe687e3cf00c9ff9bda9a3df73ebd7fb86d850ba755588cdaca324e1ba9034987ecb975ce47dd279395ee03b4
DIST bareos-22.1.6.tar.gz 14758055 BLAKE2B e49c2f6b38394b71a15e4826286a761e78b8c301429843630bbf024a76505381a84581296e7bcdd537bf04194e10abc3c8b4f358234ae968a10163993c9451bc SHA512 6fda879ed6ac05843d9c8c0da16228e2b009ee094230ce7cec0deb9125723f1bd8964517c355f61fda34ee5664ebaf4e76b3c6ce2b0e9b88c66788abf5d9b93e
-DIST bareos-23.0.4.tar.gz 13954430 BLAKE2B dfeea6ca63be1cb376507a1270cc835d8f6ea336a8cf9c07ac74a2817d84f044da7ac974b11a34b3d6c8a66ed4cb27a1e9ba06b4dad697937e6068181f42eb03 SHA512 50686548cb2bb398d524fa208db97a68e30f40e53ac8a8f57182157e713d743baf8a3177453327943b17de128f6dd6c5b5de0fe65ddcedf7cbca715e7ae05bd5
DIST bareos-23.1.0.tar.gz 14002357 BLAKE2B f063bf0d4ce422766f8d71133e69ed39bf914672f2ff3321d792cd28bf58d6e2daac53a1fe48586e4accd6a895e9ef83b17e51e3f6b4dabccf7c54bf02fb2680 SHA512 480a7f420c7f0a626f5261e0b9c136f3ed71f08ee09ce9d493b66645e0f2c5dc00455719a3ce06a57a5424206b1c0f62cd19904f83bcaaa45066726a6b223281
+DIST bareos-23.1.3.tar.gz 14009664 BLAKE2B 767796804eb6baa6e108430a8e25de51562a99212537607a43e727702cdc3dfbd2b11365d2efca518d62518970ee53779ff2fa1d369995c4bee5b2478ee689a6 SHA512 bec95f0278a68a7ab6a96e6af97cd7c30af411a2b8eba5aa73fa1f9d33f952d5eb60c79b9d29010ce2a91855edff351d8a7143d4399709769a76925d8909e764
DIST bareos-24.0.1.tar.gz 13332658 BLAKE2B 1b5468a18816df51d77f465ff0ee9fc142b6b32e69e9875e0ae5deba8e57329f3eb142ad838c6889c2e6d7bae9cdf7e52358bd9c9dd36c6a62b98c4be21f9581 SHA512 ec510282f9b4bc5b80fddd706111ed891d776a713f4f2548fc48ea45bb59f636b92ae0c2d146c11c598f3d47a5bd9975220b0435123d084ed351ca3053110a8c
+DIST bareos-24.0.2.tar.gz 13350863 BLAKE2B b9adbcc0ce5ee0a73fef9842dcdfc0ebf2b31765d515a0898a39dd63d71801bedd5365b6426b0fae9df5ef57270ba9667730c10dd0cb18d482f29bdd7273bdb7 SHA512 14458fe192409ae61b814d246747b3e7a6df338f55c02f5b9122a015327b649e86fb1e50a54886cd7acc60ed19eb638f2d26af49c29664c62afead6ccedbf52b
diff --git a/dev-python/bareos/bareos-23.0.4.ebuild b/dev-python/bareos/bareos-23.1.3.ebuild
index dd7bb7f1d6b8..b3ef9d1b9d53 100644
--- a/dev-python/bareos/bareos-23.0.4.ebuild
+++ b/dev-python/bareos/bareos-23.1.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/bareos/bareos-24.0.2.ebuild b/dev-python/bareos/bareos-24.0.2.ebuild
new file mode 100644
index 000000000000..ee3471b7c146
--- /dev/null
+++ b/dev-python/bareos/bareos-24.0.2.ebuild
@@ -0,0 +1,18 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} python3_13t )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="python bindings for bareos network backup suite"
+HOMEPAGE="https://www.bareos.com/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/Release/${PV}.tar.gz -> ${P}.tar.gz"
+S=${WORKDIR}/${PN}-Release-${PV}/python-bareos
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="mirror test"
diff --git a/dev-python/btrfsutil/Manifest b/dev-python/btrfsutil/Manifest
index e4f7d01b2aa0..73f45cfa6c34 100644
--- a/dev-python/btrfsutil/Manifest
+++ b/dev-python/btrfsutil/Manifest
@@ -2,3 +2,5 @@ DIST btrfs-progs-v6.12.tar.sign 566 BLAKE2B 3a32b52522acd9e2fcf34cbf90d91ca2491a
DIST btrfs-progs-v6.12.tar.xz 2705336 BLAKE2B d1569ec7b2079a43ac370c3a7e9f1b37a06545675753490f16d6a7bb52281f76df39f924c96569a1c75daa8a998f251c5219e2f09a54cb94c42cba1db3cf43ca SHA512 57da37f460a33b5f5232a5c8e67eb5976fb13483a1437112bd433b179bc0e497a1aadfe24705eb4fb4e0a98d2a33fd3c46808b3ca161421475442a70b964c446
DIST btrfs-progs-v6.13.tar.sign 566 BLAKE2B 12424d4f076a0b1e007f367c803c0308c45632475dfff56d6f2feb65ad8c84568609554f2870f5ccb2d1ca1559661a811a96c4f5e1ad4744d4c8d14c9e002d5b SHA512 f4423a607dd7a8e0a6d6da9a5ebc9c1147026b25786cb3fd947243491e17730994d74c1885cef5737380a9441a736ee252229951e298e2559a279e16fc18a53b
DIST btrfs-progs-v6.13.tar.xz 2731048 BLAKE2B aaf536e17977c052dd0828501f5a91b85403d561301f10d8c7bf2f5abae30a323f781ef8727f8ca48efc6edf16000b3ee8435fd6a89d6d047dda289ad87e3f64 SHA512 c91e99beb554320e75bcef027ae918993ed8e08a5fe774ff55bf63cde2c64802676c8678ff09d2678aa084166f178efd2b64ed00821d0908a1435e9eaea74422
+DIST btrfs-progs-v6.14.tar.sign 566 BLAKE2B ddb860fa18cb56e7b460949c54c097e11bd08675e661d954aba353e412e714e5d3dbaecc0f97aa11787cb8b665a4a7549cfc7d779b596fe15324d45bae1d8a20 SHA512 c1092a0992e945b4820de4e80adc5681e9a2bf435b5defb0b8c44b3bb210c07b38dd446a40ce19955fa1616b546d40f568c537410fe4eda8f2f1657e2d3bfb3e
+DIST btrfs-progs-v6.14.tar.xz 2739548 BLAKE2B fae9bdbacc093ba260d7740001eef98f4ffb72c30631c789a34fbd5f34283cbdfb9f1e6b2f6112fb769b90892b47ea2bcc0bcdab37748b8d23e3588051620b2a SHA512 becb9e1a95ecd3e0421dd9a4a4fd0bf0e950d6586aa8cc757f97b04392a54a4fd4bcae164a61054087823e610297041b2b79b0c6e827cab8ad804d9877268ee4
diff --git a/dev-python/btrfsutil/btrfsutil-6.14.ebuild b/dev-python/btrfsutil/btrfsutil-6.14.ebuild
new file mode 100644
index 000000000000..60a905fd122f
--- /dev/null
+++ b/dev-python/btrfsutil/btrfsutil-6.14.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/dsterba.asc
+
+inherit distutils-r1 verify-sig
+
+DESCRIPTION="Library for managing Btrfs filesystems"
+HOMEPAGE="https://github.com/kdave/btrfs-progs"
+
+MY_PN="btrfs-progs"
+MY_PV="v${PV/_/-}"
+MY_P="${MY_PN}-${MY_PV}"
+SRC_URI="
+ https://mirrors.edge.kernel.org/pub/linux/kernel/people/kdave/${MY_PN}/${MY_P}.tar.xz
+ verify-sig? ( https://mirrors.edge.kernel.org/pub/linux/kernel/people/kdave/${MY_PN}/${MY_P}.tar.sign )
+"
+S="${WORKDIR}/${MY_P}/libbtrfsutil/python"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+DEPEND="~sys-fs/btrfs-progs-${PV}"
+RDEPEND="${DEPEND}"
+
+distutils_enable_tests unittest
+
+RDEPEND+=" !sys-fs/btrfs-progs[python(-)]"
+
+src_unpack() {
+ # Upstream sign the decompressed .tar
+ if use verify-sig; then
+ einfo "Unpacking ${MY_P}.tar.xz ..."
+ verify-sig_verify_detached - "${DISTDIR}"/${MY_P}.tar.sign \
+ < <(xz -cd "${DISTDIR}"/${MY_P}.tar.xz | tee >(tar -xf -))
+ assert "Unpack failed"
+ else
+ default
+ fi
+}
+
+src_prepare() {
+ cat <<-EOF > version.py || die
+ #!/usr/bin/env python3
+ btrfs_util_py_version = '${PV}'
+ EOF
+
+ distutils-r1_src_prepare
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ rm "${ED}"/usr/share/doc/${PF}/README.md || die
+ dodoc "${S}"/../README.md
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..37a64204a00a 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9b3521c5721afa49a58e0c35267f7d82bb56bd7e1d6d3152be0d36cd220180a526cb20b90b1113fbf0fff4a512137570f0b3bcf864498b7b7cc00403cb61ca27 SHA512 16d311400bf84a5f04e15f3da4b68b2810e4b005009f4d03dc8a487176dfc294403c976c412c83dcfa8084a49ef7b7d5389b43fb2ba446ce107ce4595e3558c6
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index eb2586280d80..56733bbffc48 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/miniupnpc/miniupnpc-2.3.2.ebuild b/dev-python/miniupnpc/miniupnpc-2.3.2.ebuild
index a02975667e07..f23bb8f08da0 100644
--- a/dev-python/miniupnpc/miniupnpc-2.3.2.ebuild
+++ b/dev-python/miniupnpc/miniupnpc-2.3.2.ebuild
@@ -26,7 +26,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~ppc ppc64 ~x86"
+KEYWORDS="amd64 ppc ppc64 ~x86"
DEPEND="
>=net-libs/miniupnpc-${PV}:0=
diff --git a/dev-python/pymemcache/Manifest b/dev-python/pymemcache/Manifest
deleted file mode 100644
index d64f511c7898..000000000000
--- a/dev-python/pymemcache/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST pymemcache-4.0.0.tar.gz 70176 BLAKE2B 23f8486138e7e4afa18c0b311887dac5220466df11c476018d34f14a34331c35881bd5c26c58a3214f5d40e9bb639be69a6dfcccd5d6200b9fe81f9aef3f3654 SHA512 1a19d887559630e5b991430b8206c2698909e0d6b234df0380f9da5647574560b0fdd98396959cb96670030a61f7d56fea4ecf3272b5c394fc8c31eb2144e1a3
diff --git a/dev-python/pymemcache/files/pymemcache-3.5.1-no-coverage.patch b/dev-python/pymemcache/files/pymemcache-3.5.1-no-coverage.patch
deleted file mode 100644
index a66193c2e126..000000000000
--- a/dev-python/pymemcache/files/pymemcache-3.5.1-no-coverage.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- a/setup.cfg
-+++ b/setup.cfg
-@@ -40,7 +40,6 @@
- --tb=short
- --capture=no
- -rfEsxX
-- --cov=pymemcache --cov-config=setup.cfg --cov-report=xml --cov-report=term-missing
- -m unit
- markers =
- unit
diff --git a/dev-python/pymemcache/metadata.xml b/dev-python/pymemcache/metadata.xml
deleted file mode 100644
index 3c23ab66011f..000000000000
--- a/dev-python/pymemcache/metadata.xml
+++ /dev/null
@@ -1,18 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <longdescription lang="en">
-A comprehensive, fast, pure-Python memcached client.
-
-pymemcache supports the following features:
-
-Complete implementation of the memcached text protocol.
-Connections using UNIX sockets, or TCP over IPv4 or IPv6.
-Configurable timeouts for socket connect and send/recv calls.
-Access to the "noreply" flag, which can significantly increase the speed of writes.
-Flexible, modular and simple approach to serialization and deserialization.
-The (optional) ability to treat network and memcached errors as cache misses.
- </longdescription>
-
- <origin>gentoo-guru-overlay</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pymemcache/pymemcache-4.0.0.ebuild b/dev-python/pymemcache/pymemcache-4.0.0.ebuild
deleted file mode 100644
index 8fe252314506..000000000000
--- a/dev-python/pymemcache/pymemcache-4.0.0.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-DISTUTILS_USE_PEP517=setuptools
-inherit databases distutils-r1 pypi
-
-DESCRIPTION="A comprehensive, fast, pure-Python memcached client"
-HOMEPAGE="
- https://github.com/pinterest/pymemcache
- https://pypi.org/project/pymemcache/
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-
-BDEPEND="
- test? (
- ${DATABASES_DEPEND[memcached]}
- dev-python/faker[${PYTHON_USEDEP}]
- dev-python/zstd[${PYTHON_USEDEP}]
- )
-"
-
-DOCS=( {ChangeLog,README}.rst )
-
-EPYTEST_IGNORE=(
- # useless
- pymemcache/test/test_benchmark.py
-)
-
-distutils_enable_tests pytest
-
-#distutils_enable_sphinx docs \
-# dev-python/sphinxcontrib-apidoc \
-# dev-python/sphinx-rtd-theme
-
-src_test() {
- ememcached --start 11221
- distutils-r1_src_test
- ememcached --stop
-}
-
-python_test() {
- epytest --override-ini="addopts=" --port 11221 pymemcache/test
-}
diff --git a/dev-python/rpds-py/rpds-py-0.23.1.ebuild b/dev-python/rpds-py/rpds-py-0.23.1.ebuild
index 0fa45021d23e..0767658c8d59 100644
--- a/dev-python/rpds-py/rpds-py-0.23.1.ebuild
+++ b/dev-python/rpds-py/rpds-py-0.23.1.ebuild
@@ -52,7 +52,7 @@ LICENSE="MIT"
# Dependent crate licenses
LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT MPL-2.0 Unicode-DFS-2016"
SLOT="0"
-KEYWORDS="~amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/rpds/rpds.*.so"
diff --git a/dev-python/spyder-kernels/Manifest b/dev-python/spyder-kernels/Manifest
index 2c6fff0f3c71..ef401dc4f8e7 100644
--- a/dev-python/spyder-kernels/Manifest
+++ b/dev-python/spyder-kernels/Manifest
@@ -1,2 +1,3 @@
DIST spyder-kernels-3.0.1.gh.tar.gz 238107 BLAKE2B bf2b67555b561e935e13cc8bedfe178396f100252f3a0a2f8606971691c62d2bba64fc2cae443654aadd3a853674184eaaa3567855ce1c1358f5142f40c5ca74 SHA512 a16fe124f4abf36bc95f2e409391c550063f5fc00024c3b58b635eb03ca449678065daa25c27c42a4a85babd6fcbf80ab6423e519221c3916c8ddbb03c0056b3
DIST spyder-kernels-3.0.2.gh.tar.gz 239620 BLAKE2B d1661dccd5746afb377de4a6e78ebb169ad887df54b31afe1e290f2c34616a23b089b8c02ee5b0fac67dce3ab550f5908dd4d62cde8e2de1486a0553912c4410 SHA512 5bc64e8802a961dab124ae251f66c5987bf4125c57df6d25e209ce49bb49e63ea21dddcf75d524f93109205d48f3aec92a487b8b9faae3c1cdbd9cb9a206ad72
+DIST spyder-kernels-3.0.3.gh.tar.gz 240072 BLAKE2B 99fe0e7ecae61b717ce0215a6789742ed5f684fcc700d911388c4ca481e37dee829014b1b1633ba110a669bba3636ef250f94777d8c501f682c4fb53288e469f SHA512 4335c0401da8cc0a13db2888acf740e20ec9c21ad29b9375806b0958b81649623cd672f2d4579059b083fba11ec1e42acc28c0da76c3f7d3c0510b64006d32c7
diff --git a/dev-python/spyder-kernels/spyder-kernels-3.0.3.ebuild b/dev-python/spyder-kernels/spyder-kernels-3.0.3.ebuild
new file mode 100644
index 000000000000..1e6a4fba7d72
--- /dev/null
+++ b/dev-python/spyder-kernels/spyder-kernels-3.0.3.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Kernels used by spyder on its ipython console"
+HOMEPAGE="
+ https://github.com/spyder-ide/spyder-kernels/
+ https://pypi.org/project/spyder-kernels/
+"
+SRC_URI="https://github.com/spyder-ide/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/cloudpickle[${PYTHON_USEDEP}]
+ <dev-python/ipykernel-7[${PYTHON_USEDEP}]
+ >=dev-python/ipykernel-6.29.3[${PYTHON_USEDEP}]
+ <dev-python/ipython-9[${PYTHON_USEDEP}]
+ >dev-python/ipython-8.13.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-client-9[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-client-7.4.9[${PYTHON_USEDEP}]
+ dev-python/matplotlib-inline[${PYTHON_USEDEP}]
+ >=dev-python/pyxdg-0.26[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-24.0.0[${PYTHON_USEDEP}]
+ >=dev-python/wurlitzer-1.0.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/h5py[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # we no longer package distributed, and also removed dependency on dask
+ spyder_kernels/console/tests/test_console_kernel.py::test_dask_multiprocessing
+
+ # RuntimeError: There is no current event loop in thread 'MainThread'.
+ # https://bugs.gentoo.org/834893
+ spyder_kernels/console/tests/test_console_kernel.py::test_cwd_in_sys_path
+ spyder_kernels/console/tests/test_console_kernel.py::test_multiprocessing
+ spyder_kernels/console/tests/test_console_kernel.py::test_multiprocessing_2
+ spyder_kernels/console/tests/test_console_kernel.py::test_runfile
+ spyder_kernels/console/tests/test_console_kernel.py::test_np_threshold
+ spyder_kernels/console/tests/test_console_kernel.py::test_turtle_launch
+ spyder_kernels/console/tests/test_console_kernel.py::test_matplotlib_inline
+
+ # pydicom only packaged in ::sci at the moment
+ spyder_kernels/utils/tests/test_iofuncs.py::test_load_dicom_files
+ )
+ local EPYTEST_IGNORE=()
+
+ if ! has_version "dev-python/pandas[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ # require pandas
+ spyder_kernels/utils/tests/test_nsview.py
+ )
+ fi
+
+ if ! has_version "dev-python/h5py[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ # require hdf5
+ spyder_kernels/utils/tests/test_iofuncs.py::test_save_load_hdf5_files
+ spyder_kernels/utils/tests/test_dochelpers.py
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/spyder/Manifest b/dev-python/spyder/Manifest
index 2321e235a2dd..d460b7658fa1 100644
--- a/dev-python/spyder/Manifest
+++ b/dev-python/spyder/Manifest
@@ -1,4 +1,5 @@
DIST spyder-6.0.3.gh.tar.gz 15774411 BLAKE2B a9089c4d94e29cd38f2a80606ccd51daf443953f605dba22a1d7709b583add24d1a35b519a068e53b111bb96e04c27cb0a49b3d8f6fc88ac2f0e4667146361d0 SHA512 2f71667b54b8e8b85d862cb0e16d3657a2d1ce81bafa3170335866725c63e29e2349d8bff9a34422c9ff018677fd92f98d7f0ff22a064fe08e425492df216091
DIST spyder-6.0.4.gh.tar.gz 15800140 BLAKE2B 43447f622d528f6d8ea60e83d3ed868e2303c95df30b614900e48ecc34d472319b7786ac033fadc50c517488f8f0e4a657c926276e45710461f751817bb203d6 SHA512 d3718e8815f9f8d0e7b2e48c2ec5127a51b17a4549766376cfcaef68abb47f71ebba7c5823f8910583d171af9cde0e496ed2d7f947323ea54d2fcfff6fe8b34f
+DIST spyder-6.0.5.gh.tar.gz 15820718 BLAKE2B ccca332631f12d6f06ecee2f47ab7af0557aa0502eca296f0d0c712a7b66d4b745efcc7e248de30bb02e655bdfb0bffb61da563a308c4e9eea24829abac25d43 SHA512 afc4913a4075a6c25708adcef7a3311b7f3a1af9948734f63e642b5002459b2d2568631c859bd68c182afde709ccdae8966edf173c01cb5b991dcdfad447b823
DIST spyder-docs-98004cb46d97fa9fa1cfc3f469919928761e7054.gh.tar.gz 93375891 BLAKE2B c98d391bb33b1ba70bf9c8e8072073e87437541aacd4be42140711b786e8ae07bf5a7ca53dffdb826922b5523150fa2950b04117c335dc57f7c2c22eb693c23f SHA512 55e13f9a55075aed007be32581af954d406703dd9586352084162e01865f943c5aff3aa11b50bdc9813dd8a3a52f8fa8f961c73cfc3f96d95930f2a7b823a1d1
DIST spyder-docs-fa91f0e9c8c2da33e7ec974e6b0e2a5ed6f04b10.gh.tar.gz 93358798 BLAKE2B 81f4d1d7b1244cb05df621e764c57e856952d9ec1b923a0d6529280651f8e15c586be0c7fe1dc65eed3792033cf0f1e5e8813d79706dbbfca0dcff29cb476831 SHA512 39d0a2d6ef45ebfd3e656916bad18adb7b4f3981e619dcb16fc6160b445cf80a264c4fd8d82f61a51a55774bf2f2a08ac0b1fb4201b2cce9046a0ddd1062daa5
diff --git a/dev-python/spyder/spyder-6.0.5.ebuild b/dev-python/spyder/spyder-6.0.5.ebuild
new file mode 100644
index 000000000000..448b0508c732
--- /dev/null
+++ b/dev-python/spyder/spyder-6.0.5.ebuild
@@ -0,0 +1,202 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 optfeature xdg #virtualx
+
+# Commit of documentation to fetch
+DOCS_PV="98004cb46d97fa9fa1cfc3f469919928761e7054"
+
+DESCRIPTION="The Scientific Python Development Environment"
+HOMEPAGE="
+ https://www.spyder-ide.org/
+ https://github.com/spyder-ide/spyder/
+ https://pypi.org/project/spyder/
+"
+SRC_URI="
+ https://github.com/spyder-ide/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+ https://github.com/spyder-ide/${PN}-docs/archive/${DOCS_PV}.tar.gz -> ${PN}-docs-${DOCS_PV}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# Missing deps and broken
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-python/aiohttp-3.9.3[${PYTHON_USEDEP}]
+ >=dev-python/asyncssh-2.14.0[${PYTHON_USEDEP}]
+ <dev-python/asyncssh-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/atomicwrites-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/chardet-2.0.0[${PYTHON_USEDEP}]
+ >=dev-util/cookiecutter-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/diff-match-patch-20181111[${PYTHON_USEDEP}]
+ >=dev-python/intervaltree-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/ipython-pygments-lexers-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jellyfish-0.7[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/keyring-17.0.0[${PYTHON_USEDEP}]
+ >=dev-python/nbconvert-4.0[${PYTHON_USEDEP}]
+ >=dev-python/numpydoc-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pexpect-4.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pickleshare-0.4[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.3[${PYTHON_USEDEP}]
+ >=dev-python/pygithub-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+ >=dev-python/pylint-venv-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/python-lsp-black-2.0.0[${PYTHON_USEDEP}]
+ <dev-python/python-lsp-black-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyls-spyder-0.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pyuca-1.2[${PYTHON_USEDEP}]
+ >=dev-python/qdarkstyle-3.2.0[${PYTHON_USEDEP}]
+ <dev-python/qdarkstyle-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/qstylizer-0.2.2[${PYTHON_USEDEP}]
+ >=dev-python/qtawesome-1.4.0[${PYTHON_USEDEP}]
+ <dev-python/qtawesome-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/qtconsole-5.6.1[${PYTHON_USEDEP}]
+ <dev-python/qtconsole-5.7.0[${PYTHON_USEDEP}]
+ >=dev-python/qtpy-2.4.0[${PYTHON_USEDEP},pyqt6,quick,svg,webengine]
+ >=dev-python/rtree-0.9.7[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-0.6.6[${PYTHON_USEDEP}]
+ >=dev-python/spyder-kernels-3.0.3[${PYTHON_USEDEP}]
+ <dev-python/spyder-kernels-3.1.0[${PYTHON_USEDEP}]
+ >=dev-python/superqt-0.6.2[${PYTHON_USEDEP}]
+ <dev-python/superqt-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/textdistance-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/three-merge-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/watchdog-0.10.3[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.9.4[${PYTHON_USEDEP}]
+"
+
+# BDEPEND="
+# test? (
+# dev-python/cython[${PYTHON_USEDEP}]
+# dev-python/flaky[${PYTHON_USEDEP}]
+# dev-python/matplotlib[tk,${PYTHON_USEDEP}]
+# dev-python/pandas[${PYTHON_USEDEP}]
+# dev-python/pillow[${PYTHON_USEDEP}]
+# dev-python/pytest-lazy-fixture[${PYTHON_USEDEP}]
+# dev-python/pytest-mock[${PYTHON_USEDEP}]
+# dev-python/pytest-order[${PYTHON_USEDEP}]
+# dev-python/pytest-qt[${PYTHON_USEDEP}]
+# dev-python/pytest-timeout[${PYTHON_USEDEP}]
+# dev-python/pyyaml[${PYTHON_USEDEP}]
+# dev-python/qtpy[${PYTHON_USEDEP}]
+# dev-python/scipy[${PYTHON_USEDEP}]
+# dev-python/sympy[${PYTHON_USEDEP}]
+# )"
+
+# Based on the courtesy of Arfrever
+# This patch removes a call to update-desktop-database during build
+# This fails because access is denied to this command during build
+PATCHES=(
+ "${FILESDIR}/${PN}-5.0.0-build.patch"
+ "${FILESDIR}/${PN}-6.0.3-no-dep-on-importlib.patch"
+)
+
+DOCS=(
+ "AUTHORS.txt"
+ "Announcements.md"
+ "CHANGELOG.md"
+ "CODE_OF_CONDUCT.md"
+ "CONTRIBUTING.md"
+ "NOTICE.txt"
+ "README.md"
+ "RELEASE.md"
+)
+
+distutils_enable_tests pytest
+# TODO: Package sphinx-design
+# distutils_enable_sphinx docs/doc \
+# dev-python/sphinx-panels \
+# dev-python/pydata-sphinx-theme \
+# dev-python/sphinx-multiversion
+
+python_prepare_all() {
+ # move docs into workdir
+ mv ../spyder-docs-${DOCS_PV}* docs || die
+
+ # these dependencies are packaged separately:
+ # dev-python/spyder-kernels,
+ # dev-python/python-lsp-server,
+ # dev-python/qdarkstyle
+ rm -r external-deps/* || die
+ # runs against things packaged in external-deps dir
+ rm conftest.py || die
+
+ # Do not depend on pyqt5<5.16, this dependency is carried by QtPy[pyqt5]
+ # Do not depend on pyqtwebengine<5.16, this dependency is carried by QtPy[webengine]
+ # Do not depend on parso and jedi, this is dependency is carried in python-lsp-server
+ # Do not depend on python-lsp-server, this dependency is carried in pyls-spyder
+ # Do not depend on ipython, this dependency is carried in spyder-kernels
+ # The explicit version requirements only make things more complicated, if e.g.
+ # pyls-spyder gains compatibility with a newer version of python-lsp-server
+ # in a new release it will take time for this information to propagate into
+ # the next spyder release. So just remove the dependency and let the other
+ # ebuilds handle the version requirements to speed things up and prevent
+ # issues such as Bug 803269.
+ sed -i \
+ -e "/'pyqt5[ 0-9<=>.,]*',/d" \
+ -e "/'pyqtwebengine[ 0-9<=>.,]*',/d" \
+ -e "/'python-lsp-server\[all\][ 0-9<=>.,]*',/d" \
+ -e "/'parso[ 0-9<=>.,]*',/d" \
+ -e "/'jedi[ 0-9<=>.,]*',/d" \
+ -e "/'pylint[ 0-9<=>.,]*',/d" \
+ setup.py || die
+ # -e "/'ipython[ 0-9<=>.,]*',/d" \
+ sed -i \
+ -e "/^PYLS_REQVER/c\PYLS_REQVER = '>=0.0.1'" \
+ -e "/^PYLSP_REQVER/c\PYLSP_REQVER = '>=0.0.1'" \
+ -e "/^PARSO_REQVER/c\PARSO_REQVER = '>=0.0.1'" \
+ -e "/^JEDI_REQVER/c\JEDI_REQVER = '>=0.0.1'" \
+ -e "/^PYLINT_REQVER/c\PYLINT_REQVER = '>=0.0.1'" \
+ spyder/dependencies.py || die
+ # -e "/^IPYTHON_REQVER/c\IPYTHON_REQVER = '>=0.0.1'" \
+
+ # do not check deps, fails because we removed dependencies above
+ sed -i -e 's:test_dependencies_for_spyder_setup_install_requires_in_sync:_&:' \
+ spyder/tests/test_dependencies_in_sync.py || die
+
+ # skip online test
+ rm spyder/widgets/github/tests/test_github_backend.py || die
+
+ export SPYDER_QT_BINDING=pyqt6
+
+ distutils-r1_python_prepare_all
+}
+
+# Calling pytest directly somehow passes the pytest arguments to spyder
+# causing an invalid argument error
+# python_test() {
+# virtx "${EPYTHON}" runtests.py
+# }
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature "2D/3D plotting in the Python and IPython consoles" dev-python/matplotlib
+ optfeature "View and edit DataFrames and Series in the Variable Explorer" dev-python/pandas
+ optfeature "View and edit two or three dimensional arrays in the Variable Explorer" dev-python/numpy
+ optfeature "Symbolic mathematics in the IPython console" dev-python/sympy
+ optfeature "Import Matlab workspace files in the Variable Explorer" dev-python/scipy
+ optfeature "Run Cython files in the IPython console" dev-python/cython
+ optfeature "The hdf5/h5py plugin" dev-python/h5py
+ optfeature "The line profiler plugin" dev-python/spyder-line-profiler
+ optfeature "Vim key bindings" dev-python/spyder-vim
+ optfeature "Unittest support" dev-python/spyder-unittest
+ optfeature "System terminal inside spyder" dev-python/spyder-terminal
+ optfeature "Jupyter notebook support" dev-python/spyder-notebook
+ # spyder-memory-profiler is not compatible with spyder-5.2+ yet
+ # optfeature "The memory profiler plugin" dev-python/spyder-memory-profiler
+ # spyder-reports not yet updated to >=spyder-4.0.0
+ # optfeature "Markdown reports using Pweave" dev-python/spyder-reports
+ # Plugins with no release yet:
+ # optfeature "Manage virtual environments and packages" dev-python/spyder-env-manager
+ # optfeature "VCS (e.g. git) integration" dev-python/spyder-vcs
+}